function m=createMatrix(x,y,z,a,b,c)
% create a 6dof rototraslation matrix
% - x,y,z: traslation vector
% - a,b,c: angle around z,y,x axis 
m=zeros(4,4);
m(4,4)=1;
m(1,4)=x;
m(2,4)=y;
m(3,4)=z;

ca=cos(a);
cb=cos(b);
cc=cos(c);
sa=sin(a);
sb=sin(b);
sc=sin(c);

m(1,1)=ca*cb;
m(1,2)=ca * sb * sc - sa * cc ;
m(1,3)=ca * sb *cc + sa * sc ;
m(2,1)=sa * cb;
m(2,2)=sa * sb * sc + ca* cc ;
m(2,3)=sa * sb * cc - ca* sc;
m(3,1)=-sb;
m(3,2)=cb*sc;
m(3,3)=cb*cc;

end
